package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.winsea.svc.notice.command.NoticeCommand.NoticeBusinessTypeNumber;
import com.winsea.svc.notice.entity.NoticeTaskInfo;
import com.winsea.svc.notice.entity.NoticeTaskInfo.NoticeTaskStatus;

import java.util.List;

public interface INewNoticeTaskService extends IService<NoticeTaskInfo> {
    Page<NoticeTaskInfo> findPageNoticeTasks(NoticeTaskInfo noticeTask);

    List<NoticeTaskInfo> findOverdueTaskByCurrentUser();

    void createNoticeTask(List<String> acceptIds, String vesselId, NoticeTaskInfo noticeTask);

    Integer findNumber();

    List<NoticeTaskInfo> findOverdueTask();

    List<NoticeBusinessTypeNumber> findBusinessTypeCount();

    void handleNoticeTaskInfo(String staffId, String businessCode, String businessKey, String vesselId);

    List<NoticeTaskInfo> findNoticeTaskByBusiness(String businessCode, String businessId, NoticeTaskStatus noticeTaskStatus);

    void removeReturnTask(String businessCode, String businessKey);
}
